Index: ./mail/libspf-alt/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libspf-alt/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./mail/libspf-alt/Makefile	5 Feb 2006 23:09:55 -0000	1.12
+++ ./mail/libspf-alt/Makefile	4 Apr 2006 06:26:54 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=	http://www.midwestcs.com/spf/libspf-alt/
 COMMENT=	Sender Permitted Framework (SPF) library
 
-BUILDLINK_DEPENDS.bind+=	bind>=9.2.3nb3
+BUILDLINK_API_DEPENDS.bind+=	bind>=9.2.3nb3
 
 GNU_CONFIGURE=	YES
 CONFIGURE_ARGS+=--with-bind=${BUILDLINK_PREFIX.bind}
Index: ./mail/libspf-alt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libspf-alt/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./mail/libspf-alt/buildlink3.mk	5 Feb 2006 23:09:55 -0000	1.4
+++ ./mail/libspf-alt/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libspf_alt
 
 .if !empty(LIBSPF_ALT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libspf_alt+=	libspf_alt>=0.4.0nb1
-BUILDLINK_RECOMMENDED.libspf_alt+=	libspf_alt>=0.4.0nb3
+BUILDLINK_API_DEPENDS.libspf_alt+=	libspf_alt>=0.4.0nb1
+BUILDLINK_ABI_DEPENDS.libspf_alt+=	libspf_alt>=0.4.0nb3
 BUILDLINK_PKGSRCDIR.libspf_alt?=	../../mail/libspf-alt
 .endif	# LIBSPF_ALT_BUILDLINK3_MK
 
Index: ./mail/p5-Mail-ClamAV/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/p5-Mail-ClamAV/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./mail/p5-Mail-ClamAV/Makefile	4 Mar 2006 21:30:01 -0000	1.18
+++ ./mail/p5-Mail-ClamAV/Makefile	4 Apr 2006 06:26:54 -0000
@@ -12,7 +12,7 @@
 DEPENDS+=	p5-Inline>=0.40:../../devel/p5-Inline
 
 # this version needs clamav>=0.80
-BUILDLINK_DEPENDS.clamav+=	clamav>=0.80
+BUILDLINK_API_DEPENDS.clamav+=	clamav>=0.80
 
 PERL5_PACKLIST=		auto/Mail/ClamAV/.packlist
 PTHREAD_OPTS+=		require
Index: ./mail/perdition/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/perdition/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./mail/perdition/buildlink3.mk	5 Feb 2006 23:09:57 -0000	1.2
+++ ./mail/perdition/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	perdition
 
 .if !empty(PERDITION_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.perdition+=	perdition>=1.17
-BUILDLINK_RECOMMENDED.perdition?=	perdition>=1.17nb1
+BUILDLINK_API_DEPENDS.perdition+=	perdition>=1.17
+BUILDLINK_ABI_DEPENDS.perdition?=	perdition>=1.17nb1
 BUILDLINK_PKGSRCDIR.perdition?=	../../mail/perdition
 .endif	# PERDITION_BUILDLINK3_MK
 
Index: ./mail/pine/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/pine/Makefile,v
retrieving revision 1.109
diff -u -r1.109 Makefile
--- ./mail/pine/Makefile	4 Mar 2006 21:30:01 -0000	1.109
+++ ./mail/pine/Makefile	4 Apr 2006 06:26:54 -0000
@@ -104,7 +104,7 @@
 	${CHMOD} +x ${PREFIX}/share/pine/contrib/utils/*.sh
 
 # 2004e contains extensions needed by Pine 4.63
-BUILDLINK_DEPENDS.imap-uw+=	imap-uw>=2004e
+BUILDLINK_API_DEPENDS.imap-uw+=	imap-uw>=2004e
 .include "../../mail/imap-uw/buildlink3.mk"
 
 .include "../../devel/ncurses/buildlink3.mk"
Index: ./mail/squirrelmail/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/squirrelmail/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./mail/squirrelmail/buildlink3.mk	27 Feb 2006 07:12:13 -0000	1.7
+++ ./mail/squirrelmail/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	squirrelmail
 
 .if !empty(SQUIRRELMAIL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.squirrelmail+=	{ja-,}squirrelmail>=1.4.6
-BUILDLINK_RECOMMENDED.squirrelmail?=	squirrelmail>=1.4.6
+BUILDLINK_API_DEPENDS.squirrelmail+=	{ja-,}squirrelmail>=1.4.6
+BUILDLINK_ABI_DEPENDS.squirrelmail?=	squirrelmail>=1.4.6
 BUILDLINK_PKGSRCDIR.squirrelmail?=	../../mail/squirrelmail
 .endif	# SQUIRRELMAIL_BUILDLINK3_MK
 
Index: ./mail/sylpheed-claws/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sylpheed-claws/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./mail/sylpheed-claws/buildlink3.mk	5 Feb 2006 23:09:58 -0000	1.6
+++ ./mail/sylpheed-claws/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sylpheed-claws
 
 .if !empty(SYLPHEED_CLAWS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sylpheed-claws+=	sylpheed-claws>=0.9.7nb1
-BUILDLINK_RECOMMENDED.sylpheed-claws?=	sylpheed-claws>=1.0.4nb1
+BUILDLINK_API_DEPENDS.sylpheed-claws+=	sylpheed-claws>=0.9.7nb1
+BUILDLINK_ABI_DEPENDS.sylpheed-claws?=	sylpheed-claws>=1.0.4nb1
 BUILDLINK_PKGSRCDIR.sylpheed-claws?=	../../mail/sylpheed-claws
 .endif	# SYLPHEED_CLAWS_BUILDLINK3_MK
 
Index: ./math/R/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/math/R/Makefile,v
retrieving revision 1.81
diff -u -r1.81 Makefile
--- ./math/R/Makefile	5 Mar 2006 16:27:27 -0000	1.81
+++ ./math/R/Makefile	4 Apr 2006 06:26:54 -0000
@@ -78,7 +78,7 @@
 R_LIBDIR=		${PREFIX}/lib/R
 R_INSTALL_DIRS=		${R_LIBDIR}
 
-BUILDLINK_DEPENDS.zlib+= zlib>=1.2.1
+BUILDLINK_API_DEPENDS.zlib+= zlib>=1.2.1
 
 .if ${OPSYS} == "NetBSD" && !empty(OS_VERSION:M1.[0-6]*)
 CONFIGURE_ARGS+=	--enable-mbcs=no
Index: ./math/R/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/R/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/R/buildlink3.mk	5 Feb 2006 23:09:59 -0000	1.2
+++ ./math/R/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	R
 
 .if !empty(R_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.R+=	R>=1.7.0
-BUILDLINK_RECOMMENDED.R?=	R>=2.2.1nb2
+BUILDLINK_API_DEPENDS.R+=	R>=1.7.0
+BUILDLINK_ABI_DEPENDS.R?=	R>=2.2.1nb2
 BUILDLINK_PKGSRCDIR.R?=	../../math/R
 .endif	# R_BUILDLINK3_MK
 
Index: ./math/blas/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/blas/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/blas/buildlink3.mk	3 Oct 2004 00:12:55 -0000	1.3
+++ ./math/blas/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	blas
 
 .if !empty(BLAS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.blas+=	blas>=1.0nb2
-BUILDLINK_RECOMMENDED.blas+=	blas>=1.0nb3
+BUILDLINK_API_DEPENDS.blas+=	blas>=1.0nb2
+BUILDLINK_ABI_DEPENDS.blas+=	blas>=1.0nb3
 BUILDLINK_PKGSRCDIR.blas?=	../../math/blas
 .endif	# BLAS_BUILDLINK3_MK
 
Index: ./math/cln/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/cln/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./math/cln/buildlink3.mk	12 Mar 2006 16:33:32 -0000	1.5
+++ ./math/cln/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cln
 
 .if !empty(CLN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cln+=		cln>=1.1.6
-BUILDLINK_RECOMMENDED.cln+=	cln>=1.1.9nb1
+BUILDLINK_API_DEPENDS.cln+=		cln>=1.1.6
+BUILDLINK_ABI_DEPENDS.cln+=	cln>=1.1.9nb1
 BUILDLINK_PKGSRCDIR.cln?=	../../math/cln
 .endif	# CLN_BUILDLINK3_MK
 
Index: ./math/djbfft/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/djbfft/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./math/djbfft/buildlink3.mk	18 Apr 2004 17:51:41 -0000	1.1
+++ ./math/djbfft/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	djbfft
 
 .if !empty(DJBFFT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.djbfft+=	djbfft>=0.76
+BUILDLINK_API_DEPENDS.djbfft+=	djbfft>=0.76
 BUILDLINK_PKGSRCDIR.djbfft?=	../../math/djbfft
 BUILDLINK_DEPMETHOD.djbfft?=	build
 .endif	# DJBFFT_BUILDLINK3_MK
Index: ./math/fftw/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/fftw/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./math/fftw/buildlink3.mk	5 Feb 2006 23:10:01 -0000	1.4
+++ ./math/fftw/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fftw
 
 .if !empty(FFTW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fftw+=	fftw>=3.0
-BUILDLINK_RECOMMENDED.fftw+=	fftw>=3.1nb1
+BUILDLINK_API_DEPENDS.fftw+=	fftw>=3.0
+BUILDLINK_ABI_DEPENDS.fftw+=	fftw>=3.1nb1
 BUILDLINK_PKGSRCDIR.fftw?=	../../math/fftw
 .endif	# FFTW_BUILDLINK3_MK
 
Index: ./math/fftw2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/fftw2/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/fftw2/buildlink3.mk	5 Feb 2006 23:10:01 -0000	1.3
+++ ./math/fftw2/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fftw2
 
 .if !empty(FFTW2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fftw2+=	fftw2>=2.1.3
-BUILDLINK_RECOMMENDED.fftw2?=	fftw2>=2.1.5nb2
+BUILDLINK_API_DEPENDS.fftw2+=	fftw2>=2.1.3
+BUILDLINK_ABI_DEPENDS.fftw2?=	fftw2>=2.1.5nb2
 BUILDLINK_PKGSRCDIR.fftw2?=	../../math/fftw2
 .endif	# FFTW2_BUILDLINK3_MK
 
Index: ./math/fftwf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/fftwf/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/fftwf/buildlink3.mk	5 Feb 2006 23:10:01 -0000	1.2
+++ ./math/fftwf/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fftwf
 
 .if !empty(FFTWF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fftwf+=	fftwf>=3.0
-BUILDLINK_RECOMMENDED.fftwf+=	fftwf>=3.0.1nb1
+BUILDLINK_API_DEPENDS.fftwf+=	fftwf>=3.0
+BUILDLINK_ABI_DEPENDS.fftwf+=	fftwf>=3.0.1nb1
 BUILDLINK_PKGSRCDIR.fftwf?=	../../math/fftwf
 .endif	# FFTWF_BUILDLINK3_MK
 
Index: ./math/glpk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/glpk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/glpk/buildlink3.mk	5 Feb 2006 23:10:02 -0000	1.2
+++ ./math/glpk/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glpk
 
 .if !empty(GLPK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glpk+=	glpk>=4.8nb1
-BUILDLINK_RECOMMENDED.glpk?=	glpk>=4.9nb1
+BUILDLINK_API_DEPENDS.glpk+=	glpk>=4.8nb1
+BUILDLINK_ABI_DEPENDS.glpk?=	glpk>=4.9nb1
 BUILDLINK_PKGSRCDIR.glpk?=	../../math/glpk
 .endif	# GLPK_BUILDLINK3_MK
 
Index: ./math/gnumeric/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/math/gnumeric/Makefile,v
retrieving revision 1.108
diff -u -r1.108 Makefile
--- ./math/gnumeric/Makefile	21 Mar 2006 06:00:46 -0000	1.108
+++ ./math/gnumeric/Makefile	4 Apr 2006 06:26:55 -0000
@@ -48,9 +48,9 @@
 .include "../../lang/python/application.mk"
 .include "../../misc/goffice/buildlink3.mk"
 .include "../../net/ORBit2/buildlink3.mk"
-BUILDLINK_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.2
+BUILDLINK_API_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.2
 .include "../../print/libgnomeprint/buildlink3.mk"
-BUILDLINK_DEPENDS.libgnomeprintui+=	libgnomeprintui>=2.8.2
+BUILDLINK_API_DEPENDS.libgnomeprintui+=	libgnomeprintui>=2.8.2
 .include "../../print/libgnomeprintui/buildlink3.mk"
 .include "../../textproc/libxml2/buildlink3.mk"
 .include "../../textproc/intltool/buildlink3.mk"
Index: ./math/gsl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/gsl/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/gsl/buildlink3.mk	3 Oct 2004 00:12:56 -0000	1.3
+++ ./math/gsl/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gsl
 
 .if !empty(GSL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gsl+=		gsl>=1.4
-BUILDLINK_RECOMMENDED.gsl+=	gsl>=1.5nb1
+BUILDLINK_API_DEPENDS.gsl+=		gsl>=1.4
+BUILDLINK_ABI_DEPENDS.gsl+=	gsl>=1.5nb1
 BUILDLINK_PKGSRCDIR.gsl?=	../../math/gsl
 .endif	# GSL_BUILDLINK3_MK
 
Index: ./math/guppi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/guppi/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./math/guppi/buildlink3.mk	5 Feb 2006 23:10:02 -0000	1.5
+++ ./math/guppi/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	guppi
 
 .if !empty(GUPPI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.guppi+=	guppi>=0.40.3nb13
-BUILDLINK_RECOMMENDED.guppi?=	guppi>=0.40.3nb15
+BUILDLINK_API_DEPENDS.guppi+=	guppi>=0.40.3nb13
+BUILDLINK_ABI_DEPENDS.guppi?=	guppi>=0.40.3nb15
 BUILDLINK_PKGSRCDIR.guppi?=	../../math/guppi
 .endif	# GUPPI_BUILDLINK3_MK
 
Index: ./math/lapack/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/lapack/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/lapack/buildlink3.mk	3 Oct 2004 00:12:56 -0000	1.3
+++ ./math/lapack/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lapack
 
 .if !empty(LAPACK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lapack+=	lapack>=20010201nb1
-BUILDLINK_RECOMMENDED.lapack+=	lapack>=20010201nb2
+BUILDLINK_API_DEPENDS.lapack+=	lapack>=20010201nb1
+BUILDLINK_ABI_DEPENDS.lapack+=	lapack>=20010201nb2
 BUILDLINK_PKGSRCDIR.lapack?=	../../math/lapack
 .endif	# LAPACK_BUILDLINK3_MK
 
Index: ./math/libffm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/libffm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/libffm/buildlink3.mk	5 Feb 2006 23:10:02 -0000	1.3
+++ ./math/libffm/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libffm
 
 .if !empty(LIBFFM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libffm+=	libffm>=0.28
-BUILDLINK_RECOMMENDED.libffm?=	libffm>=0.28nb1
+BUILDLINK_API_DEPENDS.libffm+=	libffm>=0.28
+BUILDLINK_ABI_DEPENDS.libffm?=	libffm>=0.28nb1
 BUILDLINK_PKGSRCDIR.libffm?=	../../math/libffm
 .endif	# LIBFFM_BUILDLINK3_MK
 
Index: ./math/libmatheval/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/libmatheval/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./math/libmatheval/buildlink3.mk	5 Feb 2006 23:10:02 -0000	1.4
+++ ./math/libmatheval/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmatheval
 
 .if !empty(LIBMATHEVAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmatheval+=	libmatheval>=1.1.0
-BUILDLINK_RECOMMENDED.libmatheval+=	libmatheval>=1.1.1nb3
+BUILDLINK_API_DEPENDS.libmatheval+=	libmatheval>=1.1.0
+BUILDLINK_ABI_DEPENDS.libmatheval+=	libmatheval>=1.1.1nb3
 BUILDLINK_PKGSRCDIR.libmatheval?=	../../math/libmatheval
 .endif	# LIBMATHEVAL_BUILDLINK3_MK
 
Index: ./math/ltm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/ltm/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/ltm/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.2
+++ ./math/ltm/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ltm
 
 .if !empty(LTM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ltm+=	ltm>=0.30
-BUILDLINK_RECOMMENDED.ltm?=	ltm>=0.30nb1
+BUILDLINK_API_DEPENDS.ltm+=	ltm>=0.30
+BUILDLINK_ABI_DEPENDS.ltm?=	ltm>=0.30nb1
 BUILDLINK_PKGSRCDIR.ltm?=	../../math/ltm
 BUILDLINK_DEPMETHOD.ltm?=	build
 .endif	# LTM_BUILDLINK3_MK
Index: ./math/mathomatic/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/math/mathomatic/Makefile,v
retrieving revision 1.63
diff -u -r1.63 Makefile
--- ./math/mathomatic/Makefile	26 Mar 2006 18:45:07 -0000	1.63
+++ ./math/mathomatic/Makefile	4 Apr 2006 06:26:55 -0000
@@ -19,7 +19,7 @@
 
 INSTALLATION_DIRS=	bin man/man1
 
-BUILDLINK_DEPENDS.readline+=	readline>=5.1pl1nb1
+BUILDLINK_API_DEPENDS.readline+=	readline>=5.1pl1nb1
 .include "../../devel/readline/buildlink3.mk"
 
 do-install:
Index: ./math/mpfr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/mpfr/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./math/mpfr/buildlink3.mk	5 Jun 2004 22:19:53 -0000	1.1
+++ ./math/mpfr/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	mpfr
 
 .if !empty(MPFR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mpfr+=	mpfr>=2.0.3
+BUILDLINK_API_DEPENDS.mpfr+=	mpfr>=2.0.3
 BUILDLINK_DEPMETHOD.mpfr?=	build
 BUILDLINK_PKGSRCDIR.mpfr?=	../../math/mpfr
 .endif	# MPFR_BUILDLINK3_MK
Index: ./math/ntl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/ntl/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/ntl/buildlink3.mk	3 Oct 2004 00:12:57 -0000	1.2
+++ ./math/ntl/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ntl
 
 .if !empty(NTL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ntl+=	ntl>=5.3.1
-BUILDLINK_RECOMMENDED.ntl+=	ntl>=5.3.1nb1
+BUILDLINK_API_DEPENDS.ntl+=	ntl>=5.3.1
+BUILDLINK_ABI_DEPENDS.ntl+=	ntl>=5.3.1nb1
 BUILDLINK_PKGSRCDIR.ntl?=	../../math/ntl
 .endif	# NTL_BUILDLINK3_MK
 
Index: ./math/octave/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/octave/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./math/octave/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.4
+++ ./math/octave/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	octave
 
 .if !empty(OCTAVE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.octave+=	octave>=2.1.69
-BUILDLINK_RECOMMENDED.octave?=	octave>=2.1.72nb1
+BUILDLINK_API_DEPENDS.octave+=	octave>=2.1.69
+BUILDLINK_ABI_DEPENDS.octave?=	octave>=2.1.72nb1
 BUILDLINK_PKGSRCDIR.octave?=	../../math/octave
 .endif	# OCTAVE_BUILDLINK3_MK
 
Index: ./math/octave-current/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/octave-current/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./math/octave-current/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.6
+++ ./math/octave-current/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	octave-current
 
 .if !empty(OCTAVE_CURRENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.octave-current+=	octave-current>=2.1.57
-BUILDLINK_RECOMMENDED.octave-current+=	octave-current>=2.9.4nb1
+BUILDLINK_API_DEPENDS.octave-current+=	octave-current>=2.1.57
+BUILDLINK_ABI_DEPENDS.octave-current+=	octave-current>=2.9.4nb1
 BUILDLINK_PKGSRCDIR.octave-current?=	../../math/octave-current
 .endif	# OCTAVE_CURRENT_BUILDLINK3_MK
 
Index: ./math/octave-forge/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/octave-forge/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/octave-forge/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.3
+++ ./math/octave-forge/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	octave-forge
 
 .if !empty(OCTAVE_FORGE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.octave-forge+=	octave-forge>=2005.06.13
-BUILDLINK_RECOMMENDED.octave-forge?=	octave-forge>=2005.06.13nb1
+BUILDLINK_API_DEPENDS.octave-forge+=	octave-forge>=2005.06.13
+BUILDLINK_ABI_DEPENDS.octave-forge?=	octave-forge>=2005.06.13nb1
 BUILDLINK_PKGSRCDIR.octave-forge?=	../../math/octave-forge
 .endif	# OCTAVE_FORGE_BUILDLINK3_MK
 
Index: ./math/pari/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/pari/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/pari/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.3
+++ ./math/pari/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pari
 
 .if !empty(PARI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pari+=	pari>=2.1.5nb1
-BUILDLINK_RECOMMENDED.pari+=	pari>=2.1.6nb1
+BUILDLINK_API_DEPENDS.pari+=	pari>=2.1.5nb1
+BUILDLINK_ABI_DEPENDS.pari+=	pari>=2.1.6nb1
 BUILDLINK_PKGSRCDIR.pari?=	../../math/pari
 .endif	# PARI_BUILDLINK3_MK
 
Index: ./math/py-Numeric/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/py-Numeric/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./math/py-Numeric/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.8
+++ ./math/py-Numeric/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pynumeric
 
 .if !empty(PY_NUMERIC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pynumeric+=	${PYPKGPREFIX}-Numeric-[0-9]*
-BUILDLINK_RECOMMENDED.pynumeric?=	${PYPKGPREFIX}-Numeric>=23.7nb1
+BUILDLINK_API_DEPENDS.pynumeric+=	${PYPKGPREFIX}-Numeric-[0-9]*
+BUILDLINK_ABI_DEPENDS.pynumeric?=	${PYPKGPREFIX}-Numeric>=23.7nb1
 BUILDLINK_PKGSRCDIR.pynumeric?=	../../math/py-Numeric
 .endif	# PY_NUMERIC_BUILDLINK3_MK
 
Index: ./math/py-Scientific/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/math/py-Scientific/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- ./math/py-Scientific/Makefile	24 Mar 2006 10:59:19 -0000	1.26
+++ ./math/py-Scientific/Makefile	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 
 CONFLICTS+=	py-Scientific-*
 
-BUILDLINK_DEPENDS.python20+=	python20>=2.0.1nb1
-BUILDLINK_DEPENDS.python21+=	python21>=2.1.1nb1
+BUILDLINK_API_DEPENDS.python20+=	python20>=2.0.1nb1
+BUILDLINK_API_DEPENDS.python21+=	python21>=2.1.1nb1
 
 PYDISTUTILSPKG=	yes
 PYBINMODULE=	yes
Index: ./math/py-fpconst/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/py-fpconst/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/py-fpconst/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.2
+++ ./math/py-fpconst/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	py-fpconst
 
 .if !empty(PY_FPCONST_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.py-fpconst+=	${PYPKGPREFIX}-fpconst>=0.7.0
-BUILDLINK_RECOMMENDED.py-fpconst?=	${PYPKGPREFIX}-fpconst>=0.7.0nb1
+BUILDLINK_API_DEPENDS.py-fpconst+=	${PYPKGPREFIX}-fpconst>=0.7.0
+BUILDLINK_ABI_DEPENDS.py-fpconst?=	${PYPKGPREFIX}-fpconst>=0.7.0nb1
 BUILDLINK_PKGSRCDIR.py-fpconst?=	../../math/py-fpconst
 .endif	# PY_FPCONST_BUILDLINK3_MK
 
Index: ./math/py-numarray/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/py-numarray/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./math/py-numarray/buildlink3.mk	5 Feb 2006 23:10:03 -0000	1.3
+++ ./math/py-numarray/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pynumarray
 
 .if !empty(PY_NUMARRAY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pynumarray+=	${PYPKGPREFIX}-numarray>=1.1.1
-BUILDLINK_RECOMMENDED.pynumarray?=	${PYPKGPREFIX}-numarray>=1.3.3nb1
+BUILDLINK_API_DEPENDS.pynumarray+=	${PYPKGPREFIX}-numarray>=1.1.1
+BUILDLINK_ABI_DEPENDS.pynumarray?=	${PYPKGPREFIX}-numarray>=1.3.3nb1
 BUILDLINK_PKGSRCDIR.pynumarray?=	../../math/py-numarray
 .endif	# PY_NUMARRAY_BUILDLINK3_MK
 
Index: ./math/py-rpy/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/math/py-rpy/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./math/py-rpy/Makefile	4 Mar 2006 21:30:08 -0000	1.14
+++ ./math/py-rpy/Makefile	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 
 PYDISTUTILSPKG=		YES
 
-BUILDLINK_DEPENDS.R+= R>=2.2.1
+BUILDLINK_API_DEPENDS.R+= R>=2.2.1
 
 .include "../../lang/python/extension.mk"
 .include "../../math/py-Numeric/buildlink3.mk"
Index: ./math/qalculate/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/qalculate/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./math/qalculate/buildlink3.mk	5 Feb 2006 23:10:04 -0000	1.5
+++ ./math/qalculate/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qalculate
 
 .if !empty(QALCULATE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qalculate+=	qalculate>=0.8.2
-BUILDLINK_RECOMMENDED.qalculate?=	qalculate>=0.8.2nb2
+BUILDLINK_API_DEPENDS.qalculate+=	qalculate>=0.8.2
+BUILDLINK_ABI_DEPENDS.qalculate?=	qalculate>=0.8.2nb2
 BUILDLINK_PKGSRCDIR.qalculate?=	../../math/qalculate
 .endif	# QALCULATE_BUILDLINK3_MK
 
Index: ./math/scilab/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/scilab/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./math/scilab/buildlink3.mk	5 Feb 2006 23:10:04 -0000	1.5
+++ ./math/scilab/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	scilab
 
 .if !empty(SCILAB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.scilab+=	scilab>=3.0
-BUILDLINK_RECOMMENDED.scilab?=	scilab>=3.1.1nb2
+BUILDLINK_API_DEPENDS.scilab+=	scilab>=3.0
+BUILDLINK_ABI_DEPENDS.scilab?=	scilab>=3.1.1nb2
 BUILDLINK_PKGSRCDIR.scilab?=	../../math/scilab
 
 BUILDLINK_FILES.scilab+=	lib/scilab-${SCIVERSION}/Version.incl
Index: ./math/slatec/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/slatec/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/slatec/buildlink3.mk	3 Oct 2004 00:12:57 -0000	1.2
+++ ./math/slatec/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	slatec
 
 .if !empty(SLATEC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.slatec+=	slatec>=4.1nb1
-BUILDLINK_RECOMMENDED.slatec+=	slatec>=4.1nb2
+BUILDLINK_API_DEPENDS.slatec+=	slatec>=4.1nb1
+BUILDLINK_ABI_DEPENDS.slatec+=	slatec>=4.1nb2
 BUILDLINK_PKGSRCDIR.slatec?=	../../math/slatec
 .endif	# SLATEC_BUILDLINK3_MK
 
Index: ./math/superlu/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/superlu/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./math/superlu/buildlink3.mk	25 Apr 2004 21:38:03 -0000	1.1
+++ ./math/superlu/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	superlu
 
 .if !empty(SUPERLU_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.superlu+=	superlu>=2.0nb2
+BUILDLINK_API_DEPENDS.superlu+=	superlu>=2.0nb2
 BUILDLINK_PKGSRCDIR.superlu?=	../../math/superlu
 BUILDLINK_DEPMETHOD.superlu?=	build
 .endif	# SUPERLU_BUILDLINK3_MK
Index: ./math/tasp-vsipl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/tasp-vsipl/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/tasp-vsipl/buildlink3.mk	5 Feb 2006 23:10:04 -0000	1.2
+++ ./math/tasp-vsipl/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tasp-vsipl
 
 .if !empty(TASP_VSIPL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tasp-vsipl+=	tasp-vsipl>=20030710
-BUILDLINK_RECOMMENDED.tasp-vsipl?=	tasp-vsipl>=20030710nb1
+BUILDLINK_API_DEPENDS.tasp-vsipl+=	tasp-vsipl>=20030710
+BUILDLINK_ABI_DEPENDS.tasp-vsipl?=	tasp-vsipl>=20030710nb1
 BUILDLINK_PKGSRCDIR.tasp-vsipl?=	../../math/tasp-vsipl
 .endif	# TASP_VSIPL_BUILDLINK3_MK
 
Index: ./math/udunits/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/udunits/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./math/udunits/buildlink3.mk	22 Mar 2004 17:29:02 -0000	1.1
+++ ./math/udunits/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	udunits
 
 .if !empty(UDUNITS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.udunits+=	udunits>=1.11.7
+BUILDLINK_API_DEPENDS.udunits+=	udunits>=1.11.7
 BUILDLINK_PKGSRCDIR.udunits?=	../../math/udunits
 BUILDLINK_DEPMETHOD.udunits?=	build
 BUILDLINK_FILES.udunits=	include/udunits.inc
Index: ./math/yorick/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/math/yorick/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./math/yorick/buildlink3.mk	5 Feb 2006 23:10:04 -0000	1.2
+++ ./math/yorick/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	yorick
 
 .if !empty(YORICK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.yorick+=	yorick>=1.5.12
+BUILDLINK_API_DEPENDS.yorick+=	yorick>=1.5.12
 BUILDLINK_DEPMETHOD.yorick?=	build
-BUILDLINK_RECOMMENDED.yorick?=	yorick>=1.6.02nb1
+BUILDLINK_ABI_DEPENDS.yorick?=	yorick>=1.6.02nb1
 BUILDLINK_PKGSRCDIR.yorick?=	../../math/yorick
 .endif	# YORICK_BUILDLINK3_MK
 
Index: ./mbone/common-mml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mbone/common-mml/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./mbone/common-mml/buildlink3.mk	5 Apr 2005 10:34:00 -0000	1.1
+++ ./mbone/common-mml/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	common-mml
 
 .if !empty(COMMON_MML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.common-mml+=	common-mml>=1.2.0nb1
+BUILDLINK_API_DEPENDS.common-mml+=	common-mml>=1.2.0nb1
 BUILDLINK_PKGSRCDIR.common-mml?=	../../mbone/common-mml
 .endif	# COMMON_MML_BUILDLINK3_MK
 
Index: ./meta-pkgs/kde3/kde3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/meta-pkgs/kde3/kde3.mk,v
retrieving revision 1.12
diff -u -r1.12 kde3.mk
--- ./meta-pkgs/kde3/kde3.mk	5 Jan 2006 10:08:59 -0000	1.12
+++ ./meta-pkgs/kde3/kde3.mk	4 Apr 2006 06:26:55 -0000
@@ -92,7 +92,7 @@
 
 _IN_ARTS_BUILD?=	no
 .if !empty(_IN_ARTS_BUILD:M[nN][oO])
-BUILDLINK_DEPENDS.qt3-libs+=	qt3-libs>=3.3.3nb1
+BUILDLINK_API_DEPENDS.qt3-libs+=	qt3-libs>=3.3.3nb1
 .include "../../x11/qt3-libs/buildlink3.mk"
 .endif
 
Index: ./meta-pkgs/xfce4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/meta-pkgs/xfce4/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./meta-pkgs/xfce4/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.11
+++ ./meta-pkgs/xfce4/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4
 
 .if !empty(XFCE4_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4+=	xfce4>=4.2.3.1
-BUILDLINK_RECOMMENDED.xfce4?=	xfce4>=4.2.3.2nb2
+BUILDLINK_API_DEPENDS.xfce4+=	xfce4>=4.2.3.1
+BUILDLINK_ABI_DEPENDS.xfce4?=	xfce4>=4.2.3.2nb2
 BUILDLINK_PKGSRCDIR.xfce4?=	../../meta-pkgs/xfce4
 .endif	# XFCE4_BUILDLINK3_MK
 
Index: ./misc/Addresses/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/Addresses/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./misc/Addresses/buildlink3.mk	5 Feb 2006 23:10:06 -0000	1.5
+++ ./misc/Addresses/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Addresses
 
 .if !empty(ADDRESSES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Addresses+=	Addresses>=0.4.5
-BUILDLINK_RECOMMENDED.Addresses+=	Addresses>=0.4.6nb3
+BUILDLINK_API_DEPENDS.Addresses+=	Addresses>=0.4.5
+BUILDLINK_ABI_DEPENDS.Addresses+=	Addresses>=0.4.6nb3
 BUILDLINK_PKGSRCDIR.Addresses?=	../../misc/Addresses
 
 .include "../../devel/gnustep-make/gnustep.mk"
